=== debian/changelog ===
ros-dashing-udp-driver (0.0.6-4bionic) bionic; urgency=high

  * Uncrustify fixes.
  * Remove lifecycle references (#19 <https://github.com/ros-drivers/transport_drivers/issues/19>)
  * Fixing boost dependency. (#18 <https://github.com/ros-drivers/transport_drivers/issues/18>)
  * Contributors: Esteve Fernandez, Joshua Whitley

 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Thu, 27 Aug 2020 05:00:00 -0000

ros-dashing-udp-driver (0.0.5-4bionic) bionic; urgency=high

  * Be specific about which parts of Boost are necessary (#10 <https://github.com/ros-drivers/transport_drivers/issues/10>)
    * serial: be specific about Boost dependency.
    * udp: be specific about Boost dependency.
  * Fix doxygen
  * Contributors: Esteve Fernandez, G.A. vd. Hoorn

 -- Apex.AI, Inc. <opensource@apex.ai>  Thu, 16 Jul 2020 05:00:00 -0000

ros-dashing-udp-driver (0.0.4-4bionic) bionic; urgency=high

  * Added UdpConfig class to encapsulate configuration options
  * Removed workaround for ROS 2 Dashing PR2
  * Contributors: Esteve Fernandez

 -- Apex.AI, Inc. <opensource@apex.ai>  Thu, 12 Dec 2019 06:00:00 -0000

ros-dashing-udp-driver (0.0.3-4bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/transport_drivers/issues/2> from esteve/fix-dependencies
    Added ament_lint_auto dependency
  * Added ament_lint_auto dependency
  * Contributors: Esteve Fernandez

 -- Apex.AI, Inc. <opensource@apex.ai>  Wed, 21 Aug 2019 05:00:00 -0000

ros-dashing-udp-driver (0.0.2-4bionic) bionic; urgency=high

  * Bump version
  * Initial checkin
  * Contributors: Esteve Fernandez

 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 19 Aug 2019 05:00:00 -0000
